- name: Cleanup
  gather_facts: yes
  hosts: molecule-toolchain
  tasks:
    - name: Import Variables via Tasks
      include_tasks:
        file: ../../../../import_vars.yml

    - name: Destroy Xand Directory
      file:
        path: "{{ remote_save_dir }}/non-consensus-node"
        state: absent

    - name: Destroy Partner Key Fact
      file:
        path: "{{ (remote_save_dir, 'ansible', 'facts.d', 'partner_key.fact') | path_join }}"
        state: absent

    - name: Destroy Encryption Key Fact
      file:
        path: "{{ (remote_save_dir, 'ansible', 'facts.d', 'encryption_key.fact') | path_join }}"
        state: absent

    - name: Destroy TPFS NonConsensus Values Fact
      file:
        path: "{{ (remote_save_dir, 'ansible', 'facts.d', 'tpfs_non_consensus_values.fact') | path_join }}"
        state: absent

    - name: Kubectl destroy NonConsensus Xand k8s definition
      community.kubernetes.k8s:
        state: absent
        resource_definition: "{{ xand_k8s }}"
      environment:
        KUBECONFIG: "{{ remote_kubeconfig_path }}"
      when: xand_k8s is defined
